Bug 1787434 - Conntrack rule for UDP traffic should be removed when the pod exposed to Nodeport svc gets deleted
Summary: Conntrack rule for UDP traffic should be removed when the pod exposed to Node...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Jacob Tanenbaum
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks: 1845664 1845674
TreeView+ depends on / blocked
 
Reported: 2020-01-02 20:24 UTC by Anurag saxena
Modified: 2021-03-22 23:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1845664 (view as bug list)
Environment:
Last Closed: 2020-10-27 15:54:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 179 0 None closed Bug 1787434: Cleanup Conntrack when endpoints and pods are deleted 2021-02-01 13:50:57 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 15:55:19 UTC

Comment 1 Ben Bennett 2020-03-05 14:18:54 UTC
This is a strong candidate for a backport when we get the fix landed.

Comment 5 Anurag saxena 2020-06-09 18:13:27 UTC
I believe this would be an imperative fix for verizon (4.4vz) as well so need to be in 4.4z as well

Comment 6 Jacob Tanenbaum 2020-07-02 18:33:17 UTC
https://github.com/openshift/ovn-kubernetes/pull/179 merged which is the real fix, still using this BZ to try and bring in some testing for this early

Comment 10 Anurag saxena 2020-07-13 15:07:54 UTC
Thanks @jtanenba. Your fix looks good on 4.6.0-0.nightly-2020-07-13-114601 on OVNKubernetes cluster.
Moving this to verified!

Comment 12 errata-xmlrpc 2020-10-27 15:54:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.